unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AHMDialogClass, AHMTQueryAccess, StdCtrls;

type
  TForm1 = class(TForm)
    AHMQueryAccess1: TAHMQueryAccess;
    Label1: TLabel;
    Button1: TButton;
    procedure AHMQueryAccess1WrongCode(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AHMQueryAccess1WrongCode(Sender: TObject);
begin
  showmessage('You have entered the incorrect access code');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  if AHMQueryaccess1.Execute then
   showmessage('Thank you for entering the correct code')
  else Halt;
end;

end.
